> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Sync Valid

> Invokes the c1.api.app.v1.ConnectorService.ConfirmSyncValid method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/connectors/{connector_id}/confirm_sync_valid/{sync_lifecycle_id}
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/{connector_id}/confirm_sync_valid/{sync_lifecycle_id}:
    post:
      tags:
        - Connector
      summary: Confirm Sync Valid
      description: Invokes the c1.api.app.v1.ConnectorService.ConfirmSyncValid method.
      operationId: c1.api.app.v1.ConnectorService.ConfirmSyncValid
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The AppID of the app the connector is attached to.
            readOnly: false
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: >-
              The ConnectorID of the connector that we are confirming the sync
              for.
            readOnly: false
            type: string
        - in: path
          name: sync_lifecycle_id
          required: true
          schema:
            description: >-
              The completed lifecycle id of the most recent sync we want to
              validate
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.app.v1.ConfirmSyncValidRequestInput'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.app.v1.ConfirmSyncValidResponse'
          description: Successful response
      x-codeSamples:
        - lang: go
          label: ConfirmSyncValid
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Connector.ConfirmSyncValid(ctx, operations.C1APIAppV1ConnectorServiceConfirmSyncValidRequest{\n        AppID: \"<id>\",\n        ConnectorID: \"<id>\",\n        SyncLifecycleID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ConfirmSyncValidResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.connector.confirmSyncValid({
                appId: "<id>",
                connectorId: null,
                syncLifecycleId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.ConfirmSyncValidRequestInput:
      description: The ConfirmSyncValidRequest message.
      title: Confirm Sync Valid Request
      type: object
      x-speakeasy-name-override: ConfirmSyncValidRequest
    c1.api.app.v1.ConfirmSyncValidResponse:
      description: The ConfirmSyncValidResponse message.
      title: Confirm Sync Valid Response
      type: object
      x-speakeasy-name-override: ConfirmSyncValidResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````